# LightEntrainmentDataset.zip

The zipped folder contains 4 MS Excel sheets.

## Description of the data and file structure

**Figure1.xlsx** contains the activity data plotted in Fig. 1 and Suppl. Fig. 3. There are four sets of columns in the sheet called "Profiles" - one each for Canton-S, w1118, yw and loss-of-function cryptochrome mutants. These are three wildtype/background strains and one mutant for the gene cryptochrome. For each genotype, the Zeitgeber Time (ZT), Mean activity counts and across fly SEM are provided for four environmental conditions, i.e., (i) standard Light/Dark cycles (LD), (ii) symmetric skeleton photoperiods (SPP), and two asymmetric skeleton photoperiods, aSPP1 (iii) and aSPP2 (iv). In the sheet called "Peaks", individual fly's phase of peaks in ZT units are provided for two independent replicate runs. Data for the aforementioned four genotypes under all the four conditions are given. The run number is noted in the left most column. Entries that say NA either did not have a detectable peak, did not entrain or had died during the course of the experiment.

**Figure2.xlsx** contains information of light spectrum for the various light conditions used and their intensities across the wavelength range. Data were exracted from multiple sources. See the associated preprint/manuscript for more information. The sheet called "Compiled" has two sets of columns, i.e., "RAW VALUES" and "NORMALISED TO MAXIMA". The "RAW VALUES" columns have the wavelength and intensity at that wavelength for each light condition described in Suppl. Fig. 1A. In addition to light spectrum information, data for the cryptochrome action spectrum are also provided in the two right-most columns. The intensity values normalized to maxima are provided in the "NORMALISED TO MAXIMA" set.

**Figure3.xlsx** contains two sheets, i.e., "Dose Response" and "Comparisons across genotypes". The "Dose Response" sheet contains data for the three gentoypes, Canton-S, w1118 and yw. Data is arranged as follows: for each genotype, the first column has light intensity values and the second column has the free-running period of the fly under that intensity. The "Comparison across genotypes" sheet has the fly-wise free-running period and periodogram power values for the following genotypes: Canton-S, w1118, yw, cryOUT, gl[60j] and norpA. See associated manuscript for more details on the genotypes. The first two columns report the year the independent experiment was run and the fly identity. Data for each independent run are highlighted using different colours. Data provided here are depicted in Fig. 2 of the corresponding manuscript.

**Figure4.xlsx** contains three sheets, i.e., "Entrainment categories", "Profiles", and "Peaks". The "Entrainment categories" sheet contains the data showing the number of entrained, relatively coordinated, free-running or arrhythmic flies pooled across replicates for the six genotypes mentioned above. The % of flies showing each of these categories is shown right next to the raw values and are labelled as such in the sheet. Underneath this table, a table documents the number and percentage of rhythmic, arrhythmic and dead flies for two loss-of-function clock mutants. All these are flies that were examined under UV- and Blue-blocked ramped light cycles with a 24-h periodicity. The "Profiles" sheet contains two sets of columns. One contains the activity counts averaged over flies under Ramps and day 1 of constant light conditions post entrainment for the following genotypes: Canton-S, w1118, yw and one loss-of-function clock mutant (per01). The second set contains the SEM values for each of these genotypes under each of these light conditions. The left most column contains the time information as Zeitgeber Time (ZT). The sheet "Peaks" contains individual fly's phase of peaks in ZT units pooled across two independent replicate runs. Data for the aforementioned four genotypes under both conditions are given. All these data are described in Fig. 3 of the associated manuscript.

## Code/Software

All these files are executable in MS Excel or any spreadsheet program.